Bug # 118056 (CLOSED): IOVDEV-28916 【内部】【VC1】【0095】【台架】【EE环境】【副屏】monkey测试第二天查看副屏黑屏不可操作

system/bin/audioserver crash 
2023-05-23 16:16 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-23

Priority: Urgent Due date: 2023-05-26

Assignee: CD TEST-方永红 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.95.c103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: User Experience Root cause:

Description

android.hardware.audio.service crash

system/bin/audioserver crash

卿山，这个请查看夫人吴118056 日志文件进行分析，

History

#1 - 2023-05-23 20:07 - CD MM陈海波

/vendor/bin/hw/android.hardware.audio.service和/system/bin/audioserver的crash的原因都是一致得. 

其直接原因都是由于audioserver发送的binder指令无法得到响应导致.

相关的log如下:

Cmdline: /system/bin/audioserver

pid: 30882, tid: 30951, name: TimeCheckThread  >>> /system/bin/audioserver <<<

uid: 1041

signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr -------

Abort message: 'TimeCheck timeout for IAudioFlinger command 1'

这些binder指令无法得到响应主要是system died后导致的连锁反应. 

具体可参考下边的log:

从22:30:40.015开始或甚至更早之前已经不停地报出DeadSystemException. 

此时system应该处于died状态. 在这状态之前, audioserver, android.hardware.audio.service

以及别的一些指令长久没得到响应, 从而报了crash.

到05-20 08:20:43.157之后, system 重启完成, 之后就不存在这些crash了. 

从此可以判断, system die了导致 audioserver, android.hardware.audio.service报出来的tombstone.

至于system为何died, 需要system组的同事帮忙分析.

05-19 21:06:00.280 10105 12009 12009 F DEBUG   : Cmdline: com.youku.phone

05-19 21:06:19.873 10105 14350 14350 F DEBUG   : Cmdline: com.youku.phone

...

//DeadSystemException, system died的log

05-19 22:30:40.015 10069 14524 14524 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-19 22:36:35.774 10035 31987 31987 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause
...

05-19 23:09:51.689 10104 26862 26862 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

//android.hardware.audio.service和audioserver的binder指令堵塞, 长久没得到响应. 报出tombstone.

05-20 03:15:56.292  1041  8236  8236 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 03:15:57.336  1041  8248  8248 F DEBUG   : Cmdline: /system/bin/audioserver

05-20 03:28:33.199 10071 27981 27981 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 04:23:19.146  1041 29318 29318 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 04:23:20.081  1041 29329 29329 F DEBUG   : Cmdline: /system/bin/audioserver

05-20 04:58:53.204 10051 19804 19804 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 05:03:13.830  1041 30829 30829 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 05:03:15.694  1041 30856 30856 F DEBUG   : Cmdline: /system/bin/audioserver

..

05-20 07:04:22.417  1041 22131 22131 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 07:04:23.813  1041 22164 22164 F DEBUG   : Cmdline: /system/bin/audioserver

05-20 07:04:58.122  1041 22407 22407 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 07:04:59.016  1041 22420 22420 F DEBUG   : Cmdline: /system/bin/audioserver

05-20 07:16:27.191 10107 26755 26755 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

//com.youku.phone crash

05-20 07:17:56.293 10105 30689 30689 F DEBUG   : Cmdline: com.youku.phone

...

05-20 07:18:30.020 10092 27609 27609 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

05-20 07:53:24.121 10109 17137 17137 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:53:34.756  1000 11010 11010 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:54:14.703 10100 28707 28707 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:54:09.005 10071 27182 27182 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:54:17.405 10105 24568 24568 F DEBUG   : Cmdline: com.youku.phone

05-20 07:58:14.171  1041 27316 27316 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-20 07:58:15.643  1041 27335 27335 F DEBUG   : Cmdline: /system/bin/audioserver

05-20 07:58:45.132  1041 27863 27863 F DEBUG   : Cmdline: /system/bin/audioserver

05-20 07:59:03.805 10106 12560 12560 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:59:05.797 10101 10676 10676 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 07:59:19.684 10107 13679 13679 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:08:29.836 10101  2542  2542 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:08:39.918 10087 24268 24268 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:09:27.374 10106 29837 29837 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:09:38.312  1000 24663 24663 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

05-20 08:13:45.068 10105  9617  9617 F DEBUG   : Cmdline: com.youku.phone:channel

05-20 08:17:57.890 10071  2633  2633 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

...

05-20 08:20:40.824 10105  9956 15913 E AndroidRuntime: DeadSystemException: The system died; earlier logs will point to the root cause

system 启动即将完成, 从此之后再没发现存在任何进程crash.

05-20 08:20:43.157  1000 16187 16187 I SystemServiceManager: Starting com.android.server.security.FileIntegrityService

05-20 08:20:43.165  1000 16187 16187 I SystemServiceManager: Starting com.android.server.pm.Installer

...

05-20 08:20:47.575  1000 16187 16251 I SystemServiceManager: Calling onUnlockedUser 0

05-20 08:20:42.686  1000 16187 16187 I system_server_start: [2,40658554,40658554]

#2 - 2023-05-23 21:44 - CDTS-TEST 周婷

- Due date set to 2023-05-26
- Category changed from AUDIO-FW to SYSTEM

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD SYSTEM-夏旭

需system组分析

#3 - 2023-05-24 20:53 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

#4 - 2023-05-24 20:53 - CD SYSTEM-夏旭

- % Done changed from 0 to 100

#5 - 2023-06-02 18:56 - CD TEST-方永红

- Status changed from RESOLVED to ASSIGNED

#6 - 2023-06-02 18:58 - CD TEST-方永红

哈喽，如果解决了就转给测试，不要只是resolved

#7 - 2023-06-02 19:06 - CD SYSTEM-胡兵

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to CD TEST-方永红

hi 永红

这个子票无效，日志时间与主票问题点不对应，主票已有优化方案

Thanks

#8 - 2023-06-02 19:11 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

6.2

在主票中跟踪

#9 - 2023-06-02 19:11 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

2025-07-04 3/3


